Requiring core modules with module.parent.require() will not work if the path to the module is not correct. Please use require.main.require("./src/<module_name>") instead which will work regardless of where you source file is in the plugin folder structure. https://github.com/NodeBB/NodeBB/commit/303bffdb5f7e7e048c4e019f128b3a42c9362aa8 0 barisusakli committed to NodeBB/NodeBB feat: remove require fallback for plugins